# /* Scheduler */
# /* Robert Meolic, 15. 6. 2000 */
# /* Primer v clanku za SoftCOM */

set timing ""
foreach N [list 4 6 8 10 12 14 16 20 24 28 30 32] {

  set text "starter"
  set actions ""
  for { set i 1 } { $i <= $N } { incr i } {
    set text "$text S$i"
    set actions "$actions a$i"
  }
  outline ""
  pa_read_process "scheduler$N.dat"
  pa_encode_process $text
  pa_encode_process "SCH$N"
  set t [time {versis_compose 1 "scheduler$N" $text $actions}]
  set timing "$timing size = $N, time = $t\n"
  versis_weak_equivalence 1 "scheduler$N" 0 "SCH$N"

}

outline ""
outline "INFO ABOUT TIME COMPLEXITY FOR PARALLEL COMPOSITION"
outline $timing
